%define name memcached
%define version 1.1.11
%define release 2mdk

Summary:	High-performance memory object caching system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
URL:		http://www.danga.com/memcached/
Source0:	http://www.danga.com/memcached/dist/%{name}-%{version}.tar.bz2
Source1:	memcached.init.bz2
Source2:	memcached.sysconfig.bz2
PreReq:		rpm-helper
BuildRequires:	net2-devel
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Prereq: rpm-helper

%description
memcached is a flexible memory object caching daemon designed to
alleviate database load in dynamic web applications by storing
objects  in memory. It's based on libevent to scale to any size
needed, and is  specifically optimized to avoid swapping and
always use non-blocking I/O.

%prep

%setup -q

bzcat %{SOURCE1} > memcached.init
bzcat %{SOURCE2} > memcached.sysconfig

%build
#export WANT_AUTOCONF_2_5=1
#rm -f configure
#libtoolize --copy --force && autoconf

%configure2_5x \
    --with-libevent=%{_prefix}

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man1

install -m0755 memcached %{buildroot}%{_sbindir}/
install -m0644 doc/memcached.1 %{buildroot}%{_mandir}/man1/
install -m0755 memcached.init %{buildroot}%{_initrddir}/memcached
install -m0644 memcached.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/memcached

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/memory_management.txt doc/protocol.txt
%config(noreplace) %attr(0755,root,root) %{_initrddir}/memcached
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/memcached
%{_sbindir}/memcached
%{_mandir}/man1/*

%changelog
* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.11-2mdk
- add prereq on rpm-helper
- rebuild for new libevent

* Sun Jan 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.11-1mdk
- initial Mandrakelinux package
